# Uses of Interface
org.apache.qpid.proton.codec.Data

Packages that use Data
Package
Description
org.apache.qpid.proton
org.apache.qpid.proton.codec
org.apache.qpid.proton.codec.impl

## Uses of Data in org.apache.qpid.proton

Methods in org.apache.qpid.proton that return Data
Modifier and Type
Method
Description
`static Data`
Proton.`data(long capacity)`

## Uses of Data in org.apache.qpid.proton.codec

Methods in org.apache.qpid.proton.codec that return Data
Modifier and Type
Method
Description
`static Data`
Data.Factory.`create()`
`static Data`
Codec.`data(long capacity)`

## Uses of Data in org.apache.qpid.proton.codec.impl

Classes in org.apache.qpid.proton.codec.impl that implement Data
Modifier and Type
Class
Description
`class`
`DataImpl`